Opened 3 years ago

Closed 3 years ago

#798 closed defect (fixed)

Missing WCPS core conformance in WCS capabilities

Reported by: pcampalani Owned by: pcampalani
Priority: critical Milestone: 9.0.x
Component: petascope Version: development
Keywords: wcps conformance class Cc: j.yu, p.baumann
Complexity: Trivial

Description

The WCPS 1.0 core http://www.opengis.net/spec/WCPS/1.0/conf/wcps-core conformance class is missing in the WCPS capabilities.

This bug compromises WCS compliance.

Change History (5)

comment:1 follow-up: Changed 3 years ago by pcampalani

Jin, I don't find trace of such conformance class.
Can you help me?
I looked (in vain) in WCS Processing extension doc (08-059r4), WCPS IS (08-068r2) and WCPS TS (08-069r2).

thanks

comment:2 Changed 3 years ago by pcampalani

  • Status changed from new to accepted

comment:3 in reply to: ↑ 1 Changed 3 years ago by j.yu

Replying to pcampalani:

Jin, I don't find trace of such conformance class.
Can you help me?
I looked (in vain) in WCS Processing extension doc (08-059r4), WCPS IS (08-068r2) and WCPS TS (08-069r2).

thanks

The URI is prepared for the new release.

comment:4 Changed 3 years ago by pcampalani

Ok, fixed in changeset:fbd8f79.

PS The management of conformance classes in Petascope would probably need a re-design since now the extensions identifiers are the conformance URLs while it is happening that an extension might need more than one conformance identifiers.

comment:5 Changed 3 years ago by pcampalani

  • Resolution set to fixed
  • Status changed from accepted to closed
Note: See TracTickets for help on using tickets.